## YOLO标注工具

YOLO 提供默认的标注工具：

```shell
pip install labelimg
```

安装后，执行 `labelimg` 打开标注工具。

![labelimg](images/labelimg.png)

数据集和标签选择：

![数据集和标签](images/label-image-labels.png)

## 自定义数据集

自定义数据集再 datasets 下创建指定的数据集和名称。

```log
.
|____datasets
| |____coco128
| | |____LICENSE
| | |____images
| | | |____train2017
| | | | |____000000000009.jpg
| | | | |____000000000025.jpg
| | |____labels
| | | |____train2017.cache
| | | |____train2017
| | | | |____000000000009.txt
| | | | |____000000000025.txt
```

再 datasets 下创建 `coco128.yaml` 文件，内容如下：

```yml
path: /path/coco128
train: images/train2017
val: images/train2017
nc: 80
names: [person, bicycle, car, motorcycle, airplane, bus, ...]
```

或

```yml
names:
  0: 'person'
  1: 'bicycle'
  2: 'car'
  3: 'motorcycle'
  4: 'airplane'
  5: 'bus'
nc: 6
train: /path/train
val: /path/val
```

## 参考

- [如何使用YOLOv8训练自己的模型和进行预测](https://www.cnblogs.com/qqsj/p/17492360.html)
- [Yolo V5标注图片](https://blog.csdn.net/geji001/article/details/133896362)
- [目标检测VOC格式标注转YOLO标注](https://blog.csdn.net/qq_46300009/article/details/136074559)
- [利用YOLO标注并训练自己的数据集](https://blog.csdn.net/qq_54452082/article/details/137070072)
- [使用labelimg对YOLO数据进行标注](https://blog.csdn.net/qq_41940277/article/details/136302943)